'From Squeak3.7beta of ''1 April 2004'' [latest update: #5878] on 5 June 2004 at 4:40:59 pm'!

!SWKom class methodsFor: 'examples' stamp: 'mir 6/5/2004 15:35'!
startOn: portNumber host: hostName ip: ipAddress
	"This example starts a basic server that serves nothing but
	SmallWiki content.  It also logs the requests to the Transcript.  For
	more advanced configurations, you'll likely want to build
	your own Comanche module assembly."

	| ma inst |
	inst := self new
			ip: ipAddress;
			host: hostName;
			yourself.
	ma := ModuleAssembly core.
	ma logTo: (KomLogger on: Transcript).
	ma documentRoot: (FileDirectory default fullNameFor: 'smwiki').
	ma serveFiles.
	ma addPlug: [:request | SoapHttpModule new process: request].
	ma addPlug: [ :request | inst process: request ].
	inst comanche: (HttpService on: portNumber named: 'SmallWiki').
	inst comanche plug: ma rootModule; start.
	^inst
! !
